gnutls_x509_crt_set_key_purpose_oid(3)

NAME
gnutls_x509_crt_set_key_purpose_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_key_purpose_oid(gnutls_x509_crt_t cert, const void * oid, unsigned int critical);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

const void * oid
    a pointer to a null terminated string that holds the OID

unsigned int critical
    Whether this extension will be critical or not

DESCRIPTION
This function will set the key purpose OIDs of the Certificate. These are stored in the Extended Key Usage extension (2.5.29.37) See the GNUTLS_KP_* definitions for human readable names. Subsequent calls to this function will append OIDs to the OID list.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/